#ifndef LOADINGLABEL_H
#define LOADINGLABEL_H

#include <QWidget>
#include <QTimer>
#include <QIcon>
#include <QDebug>
#include <QPaintEvent>
#include <QPainter>

class LoadingLabel : public QWidget
{
    Q_OBJECT
public:
    explicit LoadingLabel(QObject *parent = nullptr);
    ~LoadingLabel();
    void setTimerStop();
    void setTimerStart();
    void setTimeReresh(int);

private Q_SLOTS:
    void refreshIconNum();

protected:
    void paintEvent(QPaintEvent *e);

private:
    QTimer *m_timer;
    int i = 8;
};

#endif // LOADINGLABEL_H
